Skip to content
payrocdevelopers

List batches

Browse API reference

GET/batchesgetbatches

Use this method to return a paginated list of batches that your merchants submitted to the processor on a specific date.

Note: If you want to view the details of a specific batch and you have its batchId, use our Retrieve Batch method.

Use query parameters to filter the list of results that we return, for example, to search for batches that were submitted by a specific merchant.

Important: You must provide a value for the date query parameter.

Our gateway returns the following information about each batch in the list:

  • Transaction information, including the number of transactions and total value of sales.
  • Merchant information, including the merchant ID (MID) and the processing account that the batch is associated with.

Parameters

NameInTypeDescription
beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

dateRequiredquerystring

Filter batches by the date that they were submitted. The format of this value is YYYY-MM-DD.

merchantIdquerystring

Filter results by the unique identifier that the processor assigned to the merchant.

Responses

Successful request. Returns a paginated list of batches.

200 OK · application/json
{
  "count": 0,
  "data": [],
  "hasMore": false,
  "limit": 10,
  "links": []
}
Response schema · 26 of 29 fields
  • countinteger
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMoreboolean
    Indicates whether there is another page of results available.
  • limitinteger
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]required
    Array of batch objects.
    • batchIdinteger
      Unique identifier that we assigned to the batch.
    • createdDatestringdate
      Date that we created a record for the batch. The format of this value is YYYY-MM-DD.
    • currencystring
      Currency of the transactions in the batch. The value for the currency follows the ISO 4217 standard.
    • datestringdate
      Date that the merchant submitted the batch. The format of this value is YYYY-MM-DD.
    • heldAmountintegerint64
      Total value of authorizations in the batch. We return the value in the currency's lowest denomination, for example, cents.
    • lastModifiedDatestringdate
      Date that the batch was last changed. The format of this value is YYYY-MM-DD.
    • linksobject[]
      • hrefstringrequired
        URL of the target resource.
      • methodstringrequired
        HTTP method that you need to use with the target resource.
      • relstringrequired
        Indicates the relationship between the current resource and the target resource.
    • merchantobject
      Object that contains information about the merchant.
      • doingBusinessAsstring
        Trading name of the business.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
      • merchantIdstring
        Unique identifier that the processor assigned to the merchant.
      • processingAccountIdinteger
        Unique identifier that we assigned to the processing account.
    • returnAmountintegerint64
      Total value of returns in the batch. We return the value in the currency's lowest denomination, for example, cents.
    • saleAmountintegerint64
      Total value of sales in the batch. We return the value in the currency's lowest denomination, for example, cents.
    • transactionCountintegerint64
      Total number of transactions in the batch.

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer